Forum closed. New forum available at http://community.wymeditor.org/

jQuery 1.3+ compatibility

Discuss features, code, contributions, ideas, suggestions, ...
For bugs, patches and feature requests, please post on the Trac:
http://trac.wymeditor.org/

jQuery 1.3+ compatibility

Postby eadevel on Fri Jan 23, 2009 10:47 am

For compatibility with the latest jQuery you have to follow the note that's stated in http://docs.jquery.com/Selectors under "Attribute Filters".

A simple search "[@" and replace "[" in both packed and source files does the trick and serves as a patch...

Ticket created:
http://trac.wymeditor.org/trac/ticket/148
eadevel
 
Posts: 22
Joined: Thu Sep 27, 2007 12:00 pm

Re: jQuery 1.3+ compatibility

Postby Psychopsia on Thu Jan 29, 2009 2:53 pm

Hi all!

img[src=sStamp] is not working for me with jQuery 1.3.1, after a long time searching how to solve it, now it's working with the following code:

Replace this part on WYMeditor unpacked version (jquery.wymeditor.js) on line ~1487:

Replace:
Code: Select all
jQuery("img[@src=" + sStamp + "]", wym._doc.body)

With:
Code: Select all
jQuery('img', wym._doc.body).filter("img[src*='" + sStamp + "']")
Psychopsia
 
Posts: 1
Joined: Thu Jan 29, 2009 2:42 pm

Re: jQuery 1.3+ compatibility

Postby mr_lundis on Tue Mar 10, 2009 2:23 pm

eadevel wrote:For compatibility with the latest jQuery you have to follow the note that's stated in http://docs.jquery.com/Selectors under "Attribute Filters".

A simple search "[@" and replace "[" in both packed and source files does the trick and serves as a patch...

Ticket created:
http://trac.wymeditor.org/trac/ticket/148
Done, WYMeditor should now be working with jQuery 1.3.

However, I'm not sure if the resizable plug-in will work with jQurey 1.3 though, as it relies on an older version of jQuery UI, which in turn relies on jQuery 1.2.x.
Jonatan Lundin - designer, developer and forum moderator. You should follow me on Twitter!
mr_lundis
 
Posts: 335
Joined: Sun Dec 02, 2007 10:59 am
Location: Sweden

Re: jQuery 1.3+ compatibility

Postby mrtwice99 on Fri Mar 27, 2009 9:18 pm

I did some testing and have found that the resizable plugin does indeed break using jquery 1.3.2 and jqueryui 1.7.1.

I created a ticket for it:

https://trac.wymeditor.org/trac/ticket/166
mrtwice99
 
Posts: 2
Joined: Fri Mar 27, 2009 9:12 pm

Re: jQuery 1.3+ compatibility

Postby farrartd on Thu Apr 02, 2009 8:12 pm

I am having trouble using the insert image functionality with jQuery 1.3.1
I removed the [@ code from my install, but still the insert image feature doesn't work...
Any ideas on how to fix this?
farrartd
 
Posts: 1
Joined: Thu Apr 02, 2009 8:05 pm

Re: jQuery 1.3+ compatibility

Postby mr_lundis on Sun Apr 05, 2009 2:22 pm

Just upgrade to the latest version in the trunk, there's been additional improvements to the jQuery 1.3 compatibility.
Jonatan Lundin - designer, developer and forum moderator. You should follow me on Twitter!
mr_lundis
 
Posts: 335
Joined: Sun Dec 02, 2007 10:59 am
Location: Sweden


Return to Developers

Who is online

Users browsing this forum: No registered users and 3 guests

cron